Subject: Copying of nodes
Description

We need copyBefore(), copyAfter() and copyInto().

Associated revisions
Revision 1a292863 - 2012-09-04 22:43 - Karsten Dambekalns

[FEATURE] Copying of nodes in TYPO3CR

Adds copyAfter(), copyBefore() and copyInto() to the NodeInterface and
provides implementations and tests for them:

    -  NodeInterface copyBefore(NodeInterface $referenceNode, $name)
    -  NodeInterface copyAfter(NodeInterface $referenceNode, $name)
    -  NodeInterface copyInto(NodeInterface $referenceNode, $name)

Change-Id: Ifea58bc6a69e177ec37e375c1291386633248b98
Resolves: #40622

Revision ef045d74 - 2012-09-05 09:57 - Karsten Dambekalns

[TASK] Make setPath() protected and recursive

This removes setPath() from the NodeInterface and ProxyNode. It is
now protected and works recursively by default, to ease moving and
renaming of nodes.

Change-Id: I59f27620873400045ca3fac1bb7918a224665671
Related: #40622
Related: #32298
Related: #40623

Revision dfa39cfb - 2012-09-05 10:00 - Karsten Dambekalns

[TASK] Add getParentPath() to NodeInterface

With this change getParentPath() is available not only on Node
but also on ProxyNode.

Change-Id: I172fbf9de6d0257977e188796649bce41c45ed75
Related: #40622
Related: #32298
Related: #40623

History
#1 - 2012-09-04 21:18 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5413

#2 - 2012-09-04 21:20 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#3 - 2012-09-04 22:43 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5413

#4 - 2012-09-04 23:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1a2928630a3f2dfad15333b61ebce0267a703221.

2015-08-03 2/2

http://review.typo3.org/5413
http://review.typo3.org/5413

